import { world, EntityEquippableComponent, EquipmentSlot } from "@minecraft/server"

world.afterEvents.entityHitEntity.subscribe((e) => {
    if (e.damagingEntity.typeId === "minecraft:player") return; // This will ensure that if a player hits the player with the item, they wont die
    if (e.hitEntity.typeId !== "minecraft:player") return; // return if the wearer is not a player
    /**
     * @type {EntityEquippableComponent}
     */
    let equippable = e.hitEntity.getComponent("equippable")
    let equipment = equippable.getEquipment(EquipmentSlot.Head);
    if (!equipment) return; // if the player does not have an item on them
    if (equipment.typeId === "pfc:passifist_flower_crown") {
        e.damagingEntity.kill()
    }
})